# Barry::BadPassword Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::BadPassword:

[legend]
Collaboration diagram for Barry::BadPassword:

[legend]

List of all members.

## Detailed Description

A bad or unknown password when talking to the device.

Can be thrown in the following instances:

- no password provided and the device requests one
- device rejected the available password
- too few remaining tries left... Barry will refuse to keep trying passwords if there are fewer than BARRY_MIN_PASSWORD_TRIES tries remaining. In this case, out_of_tries() will return true.

Definition at line 62 of file error.h.

The documentation for this class was generated from the following file:

- error.h